Bug 1016860 - [abrt] mate-file-manager-1.6.3-0.2.git73cc7e9.fc19: caja_file_is_in_trash: Process /usr/bin/caja was killed by signal 6 (SIGABRT)
[abrt] mate-file-manager-1.6.3-0.2.git73cc7e9.fc19: caja_file_is_in_trash: Pr...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: mate-file-manager (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
abrt_hash:65f0c9ae2d84e8da4d15ce8bf7f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 16:16 EDT by Philippe Noroy
Modified: 2014-09-08 08:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-23 17:03:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (52.35 KB, text/plain)
2013-10-08 16:16 EDT, Philippe Noroy
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-08 16:16 EDT, Philippe Noroy
no flags Details
File: core_backtrace (37.67 KB, text/plain)
2013-10-08 16:16 EDT, Philippe Noroy
no flags Details
File: dso_list (10.91 KB, text/plain)
2013-10-08 16:16 EDT, Philippe Noroy
no flags Details
File: environ (1.19 KB, text/plain)
2013-10-08 16:16 EDT, Philippe Noroy
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-08 16:16 EDT, Philippe Noroy
no flags Details
File: maps (54.34 KB, text/plain)
2013-10-08 16:16 EDT, Philippe Noroy
no flags Details
File: open_fds (4.68 KB, text/plain)
2013-10-08 16:16 EDT, Philippe Noroy
no flags Details
File: proc_pid_status (929 bytes, text/plain)
2013-10-08 16:16 EDT, Philippe Noroy
no flags Details
File: var_log_messages (972 bytes, text/plain)
2013-10-08 16:16 EDT, Philippe Noroy
no flags Details

  None (edit)
Description Philippe Noroy 2013-10-08 16:16:03 EDT
Version-Release number of selected component:
mate-file-manager-1.6.3-0.2.git73cc7e9.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        caja -n
crash_function: caja_file_is_in_trash
executable:     /usr/bin/caja
kernel:         3.11.3-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 caja_file_is_in_trash at caja-file.c:7105
 #5 get_column_order at fm-list-view.c:1903
 #6 set_columns_settings_from_metadata_and_preferences at fm-list-view.c:1914
 #11 g_settings_real_change_event at gsettings.c:288
 #12 ffi_call_unix64 at ../src/x86/unix64.S:76
 #13 ffi_call at ../src/x86/ffi64.c:522
 #14 g_cclosure_marshal_generic_va at gclosure.c:1550
 #15 _g_closure_invoke_va at gclosure.c:840
 #18 settings_backend_changed at gsettings.c:348
 #19 g_settings_backend_invoke_closure at gsettingsbackend.c:271

Potential duplicate: bug 928107
Comment 1 Philippe Noroy 2013-10-08 16:16:09 EDT
Created attachment 809530 [details]
File: backtrace
Comment 2 Philippe Noroy 2013-10-08 16:16:13 EDT
Created attachment 809531 [details]
File: cgroup
Comment 3 Philippe Noroy 2013-10-08 16:16:18 EDT
Created attachment 809532 [details]
File: core_backtrace
Comment 4 Philippe Noroy 2013-10-08 16:16:22 EDT
Created attachment 809533 [details]
File: dso_list
Comment 5 Philippe Noroy 2013-10-08 16:16:26 EDT
Created attachment 809534 [details]
File: environ
Comment 6 Philippe Noroy 2013-10-08 16:16:31 EDT
Created attachment 809535 [details]
File: limits
Comment 7 Philippe Noroy 2013-10-08 16:16:36 EDT
Created attachment 809536 [details]
File: maps
Comment 8 Philippe Noroy 2013-10-08 16:16:41 EDT
Created attachment 809537 [details]
File: open_fds
Comment 9 Philippe Noroy 2013-10-08 16:16:45 EDT
Created attachment 809538 [details]
File: proc_pid_status
Comment 10 Philippe Noroy 2013-10-08 16:16:49 EDT
Created attachment 809539 [details]
File: var_log_messages
Comment 11 Wolfgang Ulbrich 2013-10-08 18:22:15 EDT
upstream informed.
https://github.com/mate-desktop/mate-file-manager/issues/181
Comment 12 Wolfgang Ulbrich 2013-10-30 05:49:44 EDT
Can you describe a little more detailed what happend?
Did this issue occurs frequently ?
Comment 13 Philippe Noroy 2013-10-30 06:04:03 EDT
Can you describe a little more detailed what happend?
  Sorry, I can't, I did not understand what happened, and I don't remember what I was doing...

Did this issue occurs frequently ?
  It never happened any more.
Comment 14 Wolfgang Ulbrich 2013-10-30 08:05:47 EDT
Ok, np, i will leave the report a while open.
Feel free to post here if it happens again.
Comment 15 Diego 2013-12-28 15:41:16 EST
Another user experienced a similar problem:

Opened settings in Caja and it crashed.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        caja -n
crash_function: caja_file_is_in_trash
executable:     /usr/bin/caja
kernel:         3.12.5-200.fc19.i686
package:        mate-file-manager-1.6.3-1.fc19
reason:         caja killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 16 Wolfgang Ulbrich 2014-01-16 12:29:16 EST
@ Diego
Upstream ask for more info for the issue.
https://github.com/mate-desktop/mate-file-manager/issues/181
ie. Did this issue occurs frequently ?
I would be helpful if you answer directly at github

Thank you
Comment 17 Wolfgang Ulbrich 2014-02-23 17:03:25 EST
Sorry guys, upstream thinks there are not enough info's for fixing the issue.
https://github.com/mate-desktop/caja/issues/181#issuecomment-32473281
Comment 18 Diego 2014-09-08 08:08:55 EDT
I've provided what I can on upstream bug. I can't provide a way to always reproduce, but that's what I know.

Note You need to log in before you can comment on or make changes to this bug.